%define tarball xf86-video-openchrome
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers
%define gitdate 20210215
%define gitversion 5dbad06

Summary:        Xorg X11 openchrome video driver
Name:           xorg-x11-drv-openchrome
Version:        0.6.400
Release:        6%{?gitdate:.%{gitdate}git%{gitversion}}%{?dist}
URL:            http://www.freedesktop.org/wiki/Openchrome/
License:        MIT
Source0:        %{tarball}-%{gitdate}.tar.bz2

Patch5000:      5000-fix-segmentation-fault-with-invalid-long-options.patch

BuildRequires:  make autoconf automake libtool
BuildRequires:  xorg-x11-server-devel libX11-devel libXext-devel mesa-libGL-devel
BuildRequires:  libdrm-devel >= 2.0-1
Requires:       Xorg %(xserver-sdk-abi-requires ansic)
Requires:       Xorg %(xserver-sdk-abi-requires videodrv)
Requires:       xorg-x11-server-wrapper
Provides:       xorg-x11-drv-via = 0.2.2-5

ExclusiveArch:  x86_64

%description
X.Org X11 openchrome video driver.


%prep
%autosetup -n %{tarball}-%{gitdate} -p1


%build
autoreconf -iv
%configure --disable-static --enable-viaregtool
%make_build


%install
%make_install
mkdir -p %{buildroot}%{_datadir}/hwdata/videoaliases
find %{buildroot} -regex ".*\.la$" -delete


%post
if [ -e /etc/X11/xorg.conf ]; then
    sed -i "/Driver/s/via/openchrome/" /etc/X11/xorg.conf || :
fi



%files
%license COPYING
%doc NEWS README
%{driverdir}/openchrome_drv.so
%{_mandir}/man4/openchrome.4.gz
%{_sbindir}/via_regs_dump


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.400-6.20210215git5dbad06
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.400-5.20210215git5dbad06
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.400-4.20210215git5dbad06
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.400-3.20210215git5dbad06
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 27 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.6.400-2.20210215git5dbad06
- Fix segmentation fault with invalid long options

* Fri Oct 14 2022 ZoeDong <zoedong@tencent.com> - 0.6.400-1.20210215git5dbad06
- Initial build

